<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: headers/game.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7f57b1e41c5acd0e859ae5f3a2b075a9.html">headers</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">game.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef GAME_H</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define GAME_H</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;card.h&quot;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;wagon.h&quot;</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;player.h&quot;</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;roundcard.h&quot;</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;actioncard.h&quot;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;neutralbullet.h&quot;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;train.h&quot;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;map&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;random&gt;</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &lt;chrono&gt;</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;algorithm&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;roundcardcollection.h&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;roundcarddeck.h&gt;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;cstdlib&gt;</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;QString&gt;</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;QMessageBox&gt;</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">enum class</span> Phase {</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    WAGON_SELECTION,</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    PHASE_1,</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    PHASE_2</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;};</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div>
<div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="classGame.html">   30</a></span>&#160;<span class="keyword">class </span><a class="code" href="classGame.html">Game</a>:<a class="code" href="classSerializable.html">Serializable</a></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;{</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="comment">// Constructors</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <a class="code" href="classGame.html">Game</a>();</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <a class="code" href="classGame.html">Game</a>(std::vector&lt;Player*&gt; &amp;players);</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <a class="code" href="classGame.html">Game</a>(<span class="keyword">const</span> <a class="code" href="classGame.html">Game</a>&amp;);</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    ~<a class="code" href="classGame.html">Game</a>();</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="comment">//Get methods</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <a class="code" href="classPlayerGroup.html">PlayerGroup</a> &amp;players();</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <a class="code" href="classTrain.html">Train</a> *wagons() ;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <a class="code" href="classRoundCardDeck.html">RoundCardDeck</a> *rounds();</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    std::vector&lt;NeutralBullet*&gt; neutralBulletDeck() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="keyword">const</span> <a class="code" href="classTreasureChest.html">TreasureChest</a> &amp;unusedTreasure() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    BanditType mostBulletsShot() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    BanditType richestPlayer() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="keywordtype">unsigned</span> sheriffPosition() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="keywordtype">int</span> getIndexOfPlayerToMove()<span class="keyword">const</span>;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <a class="code" href="classDeck.html">Deck</a>* getCardsPlayed();</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <span class="keywordtype">int</span> indexOfRound() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="keywordtype">int</span> indexOfMiniround() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    Phase phase() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    ActionType currentAction() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <a class="code" href="classDialogueBox.html">DialogueBox</a> *dialogueBox() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keyword">const</span> <span class="keywordtype">unsigned</span> &amp;seed() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <span class="keywordtype">bool</span> actionPending() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160; </div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="comment">//Set methods</span></div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    <span class="keywordtype">void</span> setWagons(<a class="code" href="classTrain.html">Train</a>* newWagons);</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="keywordtype">void</span> setRounds(std::vector&lt;RoundCard*&gt; &amp;newRounds);</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="keywordtype">void</span> setNeutralBulletDeck(<span class="keyword">const</span> std::vector&lt;NeutralBullet*&gt; &amp;newNeutralBulletDeck);</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <span class="keywordtype">void</span> setMostBulletsShot(BanditType newMostBulletsShot);</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <span class="keywordtype">void</span> setRichestPlayer(BanditType newRichestPlayer);</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    <span class="keywordtype">void</span> setSeriffPosition(<span class="keywordtype">unsigned</span> newSheriffPosition);</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    <span class="keywordtype">void</span> setIndexOfPlayerToMove(<span class="keywordtype">int</span>);</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="keywordtype">void</span> setCardsPlayed(<a class="code" href="classDeck.html">Deck</a> *newCardsPlayed);</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <span class="keywordtype">void</span> setIndexOfRound(<span class="keywordtype">int</span> newIndexOfRound);</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keywordtype">void</span> setIndexOfMiniround(<span class="keywordtype">int</span> newIndexOfMiniround);</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    <span class="keywordtype">void</span> setPhase(Phase newPhase);</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    <span class="keywordtype">void</span> setCurrentAction(ActionType newCurrentAction);</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    <span class="keywordtype">void</span> setDialogueBox(<a class="code" href="classDialogueBox.html">DialogueBox</a> *newDialogueBox);</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <span class="keywordtype">void</span> setActionPending(<span class="keywordtype">bool</span> newActionPending);</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="keywordtype">void</span> setSeed(<span class="keyword">const</span> <span class="keywordtype">unsigned</span> &amp;newSeed);</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160; </div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <span class="comment">// Initialization methods</span></div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    std::vector&lt;RoundCard*&gt; selectRoundCards(RoundCardType cardType, std::vector&lt;RoundCard*&gt; &amp;allRoundCards) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <a class="code" href="classRoundCard.html">RoundCard</a>* selectOneTrainStationCard(std::vector&lt;RoundCard*&gt; &amp;allRoundCards);</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    std::vector&lt;NeutralBullet*&gt; generateNeutralBullets(<span class="keywordtype">unsigned</span> numberOfNeutralBullets) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <a class="code" href="classTrain.html">Train</a>* selectWagons(std::vector&lt;Wagon*&gt; allPossibleWagons, <span class="keywordtype">unsigned</span> numberOfPlayers) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160; </div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keywordtype">void</span> initialize();</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160; </div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <span class="comment">//Other methods</span></div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keywordtype">void</span> setNextPlayerToMove();</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <span class="keywordtype">void</span> allPlayersDrawCards(<span class="keywordtype">int</span> n);</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <span class="keywordtype">void</span> shuffleDecks() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    <span class="keywordtype">void</span> selectBanditPositions();</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    <span class="keywordtype">unsigned</span> findPlayerById(BanditType);</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160; </div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <span class="keywordtype">void</span> checkNextActionCard();</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="keywordtype">void</span> updateRounds();</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <span class="keywordtype">void</span> showEndGameStats();</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160; </div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="keywordtype">int</span> findPlayersTreasureIndex(<a class="code" href="classTreasure.html">Treasure</a>*, <span class="keywordtype">unsigned</span>);</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    std::vector&lt;Player*&gt; possiblePlayersToShot(<span class="keywordtype">int</span> playerIndex);</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    std::vector&lt;Player*&gt; possiblePlayersToPunch(<span class="keywordtype">int</span> playerIndex);</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    std::vector&lt;Treasure*&gt; possibleTreasure(<span class="keywordtype">int</span> playerIndex);</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160; </div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <span class="comment">//Action methods</span></div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <span class="keywordtype">bool</span> actionChangeWagon(<span class="keywordtype">int</span> wagonIndex);</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    <span class="keywordtype">void</span> actionFloorChange();</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    <span class="keywordtype">void</span> actionSheriffMove(<a class="code" href="classWagon.html">Wagon</a>*w);</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    <span class="keywordtype">bool</span> actionFire(<span class="keywordtype">int</span> playerIndex);</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    std::pair&lt;Wagon*, Treasure*&gt; actionRobbery(<span class="keywordtype">int</span> treasureIndex, <span class="keywordtype">int</span> wagonIndex);</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    std::pair&lt;Wagon*, Treasure*&gt; actionPunch(<span class="keywordtype">int</span> treasureIndex, <span class="keywordtype">int</span> wagonIndex, <span class="keywordtype">int</span> playerIndex);</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160; </div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    <span class="keywordtype">int</span> playerClicked() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    <span class="keywordtype">void</span> setPlayerClicked(<span class="keywordtype">int</span> newPlayerClicked);</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160; </div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    <span class="comment">// Serializable interface</span></div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    QVariant toVariant() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    <span class="keywordtype">void</span> fromVariant(<span class="keyword">const</span> QVariant &amp;variant);</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160; </div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    <span class="keywordtype">int</span> m_indexOfPlayerToMove;</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    <span class="keywordtype">int</span> m_indexOfRound;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <span class="keywordtype">int</span> m_indexOfMiniround;</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    ActionType m_currentAction;</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    <a class="code" href="classPlayerGroup.html">PlayerGroup</a> m_players;</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    <a class="code" href="classTrain.html">Train</a>* m_wagons;</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    <span class="keywordtype">unsigned</span> m_sheriffPosition;</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    <a class="code" href="classRoundCardDeck.html">RoundCardDeck</a>* m_rounds;</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    <a class="code" href="classDeck.html">Deck</a>* m_cardsPlayed;</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    std::vector&lt;NeutralBullet*&gt; m_neutralBulletDeck;</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    <a class="code" href="classTreasureChest.html">TreasureChest</a> m_unusedTreasure;</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;    BanditType m_mostBulletsShot;</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    BanditType m_richestPlayer;</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    Phase m_phase;</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    <a class="code" href="classDialogueBox.html">DialogueBox</a>* m_dialogueBox;</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;    <span class="keywordtype">bool</span> m_actionPending;</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    <span class="keywordtype">int</span> m_playerClicked;</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    <span class="keywordtype">unsigned</span> m_seed;</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;};</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160; </div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;std::vector&lt;unsigned&gt; getMoneybags(std::vector&lt;unsigned&gt;&amp; remainingMoneybags, <span class="keywordtype">unsigned</span> numberOfMoneybags);</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;std::vector&lt;RoundCard*&gt; generateRoundCards(std::vector&lt;EventType&gt; &amp;events, std::vector&lt;std::vector&lt;MiniRoundType&gt;&gt; &amp;miniRounds);</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160; </div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;<span class="preprocessor">#endif </span><span class="comment">// GAME_H</span></div>
<div class="ttc" id="aclassDeck_html"><div class="ttname"><a href="classDeck.html">Deck</a></div><div class="ttdef"><b>Definition:</b> deck.h:11</div></div>
<div class="ttc" id="aclassDialogueBox_html"><div class="ttname"><a href="classDialogueBox.html">DialogueBox</a></div><div class="ttdef"><b>Definition:</b> dialoguebox.h:11</div></div>
<div class="ttc" id="aclassGame_html"><div class="ttname"><a href="classGame.html">Game</a></div><div class="ttdef"><b>Definition:</b> game.h:31</div></div>
<div class="ttc" id="aclassPlayerGroup_html"><div class="ttname"><a href="classPlayerGroup.html">PlayerGroup</a></div><div class="ttdef"><b>Definition:</b> playergroup.h:9</div></div>
<div class="ttc" id="aclassRoundCardDeck_html"><div class="ttname"><a href="classRoundCardDeck.html">RoundCardDeck</a></div><div class="ttdef"><b>Definition:</b> roundcarddeck.h:9</div></div>
<div class="ttc" id="aclassRoundCard_html"><div class="ttname"><a href="classRoundCard.html">RoundCard</a></div><div class="ttdef"><b>Definition:</b> roundcard.h:40</div></div>
<div class="ttc" id="aclassSerializable_html"><div class="ttname"><a href="classSerializable.html">Serializable</a></div><div class="ttdef"><b>Definition:</b> serializable.h:9</div></div>
<div class="ttc" id="aclassTrain_html"><div class="ttname"><a href="classTrain.html">Train</a></div><div class="ttdef"><b>Definition:</b> train.h:10</div></div>
<div class="ttc" id="aclassTreasureChest_html"><div class="ttname"><a href="classTreasureChest.html">TreasureChest</a></div><div class="ttdef"><b>Definition:</b> treasurechest.h:7</div></div>
<div class="ttc" id="aclassTreasure_html"><div class="ttname"><a href="classTreasure.html">Treasure</a></div><div class="ttdef"><b>Definition:</b> treasure.h:16</div></div>
<div class="ttc" id="aclassWagon_html"><div class="ttname"><a href="classWagon.html">Wagon</a></div><div class="ttdef"><b>Definition:</b> wagon.h:12</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
